<template>
  <section class="DialogContainerMain">
    <el-dialog title="钱包充值" v-model="state.isShowDialog" width="720px" :close-on-click-modal="false" draggable
      destroy-on-close @close="onCancel">
      <el-form :inline="true" ref="formRef" :model="form" class="demo-form-inline" size="default" label-position="right"
        label-width="200px" :rules="rules">
        <el-row>
          <el-col :span="24">
            <el-form-item label="充值金额" prop="amount">
              <el-input-number v-model="form.amount" :precision="2"></el-input-number>
            </el-form-item>
          </el-col>
          <!-- <el-col :span="24">
            <el-form-item label="联系人手机号" prop="name">
              <el-input v-model="form.tel" placeholder="" clearable />
              <span class="codebtn"><el-button type="primary">获取验证码</el-button></span>
            </el-form-item>
          </el-col>
          <el-col :span="24">
            <el-form-item label="短信验证码">
              <el-input v-model="form.code" placeholder="" clearable />
            </el-form-item>
          </el-col> -->
          <el-col :span="24">
            <el-form-item label=" ">
              <span class="tipsRedColor">注：每笔充值第三方支付平台将扣除8元手续费，请各企业合理安排充值金额。</span>
            </el-form-item>
          </el-col>
          <el-col :span="24" style="text-align: center;">
            <el-form-item>
              <el-button type="primary" @click="submitForm(formRef)">立即充值</el-button>
            </el-form-item>
          </el-col>
        </el-row>
      </el-form>
    </el-dialog>
  </section>
</template>
<script setup lang="ts">
import { reactive, nextTick, ref } from 'vue';
import type { FormInstance } from 'element-plus'
import { ConfigApi } from '/@/api/api'
// 定义子组件向父组件传值/事件
const emit = defineEmits(['refresh']);
// 定义变量
const state = reactive({
  isShowDialog: false,
})
const form = reactive({
  walletAccountNo: '',
  amount: '',
})
const formRef = ref<FormInstance>()
//必填校验
const rules = reactive({
  amount: [{ required: true, trigger: 'blur', message: '必填项' }],
})
// 取消
const onCancel = () => {
  closeDialog();
};
// 关闭弹窗
const closeDialog = () => {
  state.isShowDialog = false;
  nextTick(() => {
    formRef.value?.resetFields();//清空表单，此项需加表单验证才能使用--关闭窗口重重输入框值
    emit('refresh')
  });
};
// 打开弹窗
const openDialog = (walletAccountNo: string) => {
  console.log(558)
  state.isShowDialog = true;
  form.walletAccountNo = walletAccountNo
  console.log('form', form)
}
//提交按钮
const submitForm = (formEl: FormInstance | undefined) => {
  if (!formEl) return
  formEl.validate((valid) => {
    if (valid) {
      console.log('submit!')
      ConfigApi().rechargeTokenApi(form).then(res => {
        console.log(res)
        if (res.data) {
          window.open(res.data)
        }
      })
    } else {
      console.log('error submit!')
      return false
    }
  })
}
// 暴露变量
defineExpose({
  openDialog,
});
</script>
<style lang="scss" scoped>
.DialogContainerMain {
  .tipsRedColor {
    color: red;
    font-style: normal;
  }

  .el-form-item__content {
    .el-input {
      flex: 1
    }

    .codebtn {
      margin-left: 10px;
    }
  }
}

:deep(.el-input__wrapper) {
  position: relative;

  .el-input__inner {
    padding-right: 18px;
  }

  .el-input__suffix {
    position: absolute;
    right: 8px;
    top: 50%;
    transform: translateY(-50%);
  }
}
</style>